summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2018-05-13 16:12:05 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2018-05-13 16:12:05 +0000
commit6073ac1d815614e15d12bea4a215b4c55bb3b451 (patch)
tree565e3630479a9438bcb707bb0c0100104013efcd
parentReleasing progress-linux version 1.1.4-3~dschinn1. (diff)
downloadhyperkitty-6073ac1d815614e15d12bea4a215b4c55bb3b451.zip
hyperkitty-6073ac1d815614e15d12bea4a215b4c55bb3b451.tar.xz
Merging debian version 1.1.4-4.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
-rw-r--r--debian/changelog20
-rw-r--r--debian/control9
-rw-r--r--debian/dirs1
-rw-r--r--debian/docs2
-rwxr-xr-xdebian/rules15
-rw-r--r--debian/source/lintian-overrides10
6 files changed, 52 insertions, 5 deletions
diff --git a/debian/changelog b/debian/changelog
index caedd5c..e1ed35c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,23 @@
+hyperkitty (1.1.4-4) unstable; urgency=medium
+
+ [ Jonas Meurer ]
+ * d/control:
+ - Don't recommend mailman3, recommend mailman3-web instead.
+
+ [ Pierre-Elliott Bécue ]
+ * d/rules:
+ - Remove the embedded fonts that are in other packages. Same for
+ bootstrap.js{,.min}
+ - Add upstream's changelog to the package
+ - Move django's static files in /usr/share/python-django-hyperkitty
+ * d/control:
+ - Add dependency on the font/js packages required by the rules change
+ * wrap-and-sort
+ * Add d/s/lintian-overrides to give intel on the current python3 missing
+ package status.
+
+ -- Pierre-Elliott Bécue <becue@crans.org> Fri, 16 Mar 2018 17:33:39 +0100
+
hyperkitty (1.1.4-3~dschinn1) dschinn-backports; urgency=medium
* Uploading to dschinn-backports, remaining changes:
diff --git a/debian/control b/debian/control
index ef77277..3f13329 100644
--- a/debian/control
+++ b/debian/control
@@ -14,8 +14,8 @@ Build-Depends: debhelper (>= 11),
python-django,
python-django-compressor,
python-django-extensions,
- python-django-haystack,
python-django-gravatar2,
+ python-django-haystack,
python-django-mailman3,
python-django-paintstore,
python-django-q,
@@ -42,14 +42,15 @@ X-Python-Version: >= 2.7
Package: python-django-hyperkitty
Architecture: all
Depends: fonts-font-awesome,
+ fonts-glewlwyd,
+ libjs-bootstrap,
python-cssmin,
- python-django,
python-dateutil,
python-django,
python-django-compressor,
python-django-extensions,
- python-django-haystack,
python-django-gravatar2,
+ python-django-haystack,
python-django-mailman3,
python-django-paintstore,
python-django-q,
@@ -63,7 +64,7 @@ Depends: fonts-font-awesome,
python-tz,
${misc:Depends},
${python:Depends}
-Recommends: mailman3-core
+Recommends: mailman3-web
Description: Web user interface to access GNU Mailman3 archives
The hyperkitty Django app provides a web user interface
to access GNU Mailman3 archives, and manage it. This
diff --git a/debian/dirs b/debian/dirs
new file mode 100644
index 0000000..0bb3aad
--- /dev/null
+++ b/debian/dirs
@@ -0,0 +1 @@
+usr/share/python-django-hyperkitty
diff --git a/debian/docs b/debian/docs
index 5811a6f..d5fa7ba 100644
--- a/debian/docs
+++ b/debian/docs
@@ -1,2 +1,2 @@
-build/sphinx/html
README.rst
+build/sphinx/html
diff --git a/debian/rules b/debian/rules
index f9c29a3..15ae364 100755
--- a/debian/rules
+++ b/debian/rules
@@ -24,3 +24,18 @@ override_dh_auto_install:
ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.ttf {} \;
find debian/python-django-hyperkitty -name 'FontAwesome.otf' -type f -exec \
ln -sf /usr/share/fonts-font-awesome/fonts/FontAwesome.otf {} \;
+ find debian/python-django-hyperkitty -name 'glyphicons-halflings-regular.ttf' -type f -exec \
+ ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
+ # Don't embed bootstrap/jquery JS scripts
+ find debian/python-django-hyperkitty -name 'bootstrap.js' -type f -exec \
+ ln -sf /usr/share/javascript/bootstrap/js/bootstrap.js {} \;
+ find debian/python-django-hyperkitty -name 'bootstrap.min.js' -type f -exec \
+ ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
+ # Move static files outside of the lib directory
+ mv debian/python-django-hyperkitty/usr/lib/python2.7/dist-packages/hyperkitty/static \
+ debian/python-django-hyperkitty/usr/share/python-django-hyperkitty/
+ ln -sf /usr/share/python-django-hyperkitty/static \
+ debian/python-django-hyperkitty/usr/lib/python2.7/dist-packages/hyperkitty/static
+
+override_dh_installchangelogs:
+ dh_installchangelogs doc/news.rst
diff --git a/debian/source/lintian-overrides b/debian/source/lintian-overrides
new file mode 100644
index 0000000..cae4d62
--- /dev/null
+++ b/debian/source/lintian-overrides
@@ -0,0 +1,10 @@
+# hyperkitty is not yet supporting python3. Upstream is currently working on
+# this matter and should soon provide a python3-only version of hyperkitty
+# and drop python2 support.
+#
+# See https://gitlab.com/mailman/hyperkitty/merge_requests/75 for more
+# information. The merge happened into master on commit
+# https://gitlab.com/mailman/hyperkitty/commit/0cbffdf139fc7497083f96cb90c5db319ef0ca59
+# and hyperkitty 1.2.0 relase will include it.
+hyperkitty source: python-foo-but-no-python3-foo python-django-hyperkitty
+